Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.web
Class AdapterDesignTimeTestCase

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--com.bea.adapter.web.AdapterDesignTimeTestCase

public class AdapterDesignTimeTestCase
extends junit.framework.TestCase

This class tests the generic adapter capabilities supplied by the ADK design time interface. Each Adapter should provide a DesignTimeTestCase class which tests the specific capabilities supplied by the corresponding adapter.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AdapterDesignTimeTestCase()`
`AdapterDesignTimeTestCase(java.lang.String strName)`

Method Summary
`protected void` | `addApplicationView(java.lang.String appViewName, java.lang.String description, java.lang.String adapterName, java.lang.String parentNamespace, com.bea.adapter.web.WebConversation conversation, java.util.Properties props)`
`protected void` | `addNamespace(java.lang.String namespaceName, java.lang.String parentNamespace, com.bea.adapter.web.WebConversation conversation, java.util.Properties props)`
`protected void` | `assertExists(java.lang.String failureMessage, java.lang.String stringToFind, com.bea.adapter.web.WebResponse response)`
`protected com.bea.adapter.web.WebForm` | `assertForm(com.bea.adapter.web.WebResponse response, int iFormIndex, java.lang.String strRequestURL, java.lang.String[][] aaParams, java.lang.String[] aSubmits)`
`protected com.bea.adapter.web.WebForm` | `assertForm(com.bea.adapter.web.WebResponse response, java.lang.String strFormName, java.lang.String strRequestURL, java.lang.String[][] aaParams, java.lang.String[] aSubmits)`
`protected com.bea.adapter.web.WebForm` | `assertForm(com.bea.adapter.web.WebResponse response, com.bea.adapter.web.WebForm form, java.lang.String strRequestURL, java.lang.String[][] aaParams, java.lang.String[] aSubmits)`
`protected void` | `assertFormParameters(com.bea.adapter.web.WebResponse response, com.bea.adapter.web.WebForm form, java.lang.String[][] aaParams)`
`protected void` | `assertFormSubmits(com.bea.adapter.web.WebResponse response, com.bea.adapter.web.WebForm form, java.lang.String[] aSubmits)`
`protected java.lang.String` | `getURL(java.util.Properties props, java.lang.String resourceName)`
`protected void` | `login(com.bea.adapter.web.WebConversation conversation, java.util.Properties props)`
`protected void` | `logout(com.bea.adapter.web.WebConversation conversation, java.util.Properties props)`
`protected void` | `removeApplicationView(java.lang.String appViewName, java.lang.String parentNamespace, com.bea.adapter.web.WebConversation conversation, java.util.Properties props)`
`protected void` | `removeNamespace(java.lang.String namespaceName, java.lang.String parentNamespace, com.bea.adapter.web.WebConversation conversation, java.util.Properties props)`
`static junit.framework.Test` | `suite()`
`void` | `testAddApplicationView()`
`void` | `testAddNamespace()`
`void` | `testBadLogin()`
`void` | `testLogin()`
`void` | `testLogout()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdapterDesignTimeTestCase

    public AdapterDesignTimeTestCase(java.lang.String strName)

### AdapterDesignTimeTestCase

    public AdapterDesignTimeTestCase()

Method Detail

### suite

    public static junit.framework.Test suite()

### testAddNamespace

    public void testAddNamespace()
                          throws java.lang.Exception

### testAddApplicationView

    public void testAddApplicationView()
                                throws java.lang.Exception

### testLogin

    public void testLogin()
                   throws java.lang.Exception

### testBadLogin

    public void testBadLogin()
                      throws java.lang.Exception

### testLogout

    public void testLogout()
                    throws java.lang.Exception

### addApplicationView

    protected void addApplicationView(java.lang.String appViewName,
                                      java.lang.String description,
                                      java.lang.String adapterName,
                                      java.lang.String parentNamespace,
                                      com.bea.adapter.web.WebConversation conversation,
                                      java.util.Properties props)
                               throws java.lang.Exception

### removeApplicationView

    protected void removeApplicationView(java.lang.String appViewName,
                                         java.lang.String parentNamespace,
                                         com.bea.adapter.web.WebConversation conversation,
                                         java.util.Properties props)
                                  throws java.lang.Exception

### addNamespace

    protected void addNamespace(java.lang.String namespaceName,
                                java.lang.String parentNamespace,
                                com.bea.adapter.web.WebConversation conversation,
                                java.util.Properties props)
                         throws java.lang.Exception

### removeNamespace

    protected void removeNamespace(java.lang.String namespaceName,
                                   java.lang.String parentNamespace,
                                   com.bea.adapter.web.WebConversation conversation,
                                   java.util.Properties props)
                            throws java.lang.Exception

### assertExists

    protected void assertExists(java.lang.String failureMessage,
                                java.lang.String stringToFind,
                                com.bea.adapter.web.WebResponse response)
                         throws java.lang.Exception

### getURL

    protected java.lang.String getURL(java.util.Properties props,
                                      java.lang.String resourceName)

### login

    protected void login(com.bea.adapter.web.WebConversation conversation,
                         java.util.Properties props)
                  throws java.lang.Exception

### logout

    protected void logout(com.bea.adapter.web.WebConversation conversation,
                          java.util.Properties props)
                   throws java.lang.Exception

### assertForm

    protected com.bea.adapter.web.WebForm assertForm(com.bea.adapter.web.WebResponse response,
                                                     int iFormIndex,
                                                     java.lang.String strRequestURL,
                                                     java.lang.String[][] aaParams,
                                                     java.lang.String[] aSubmits)
                                              throws java.lang.Exception

### assertForm

    protected com.bea.adapter.web.WebForm assertForm(com.bea.adapter.web.WebResponse response,
                                                     java.lang.String strFormName,
                                                     java.lang.String strRequestURL,
                                                     java.lang.String[][] aaParams,
                                                     java.lang.String[] aSubmits)
                                              throws java.lang.Exception

### assertForm

    protected com.bea.adapter.web.WebForm assertForm(com.bea.adapter.web.WebResponse response,
                                                     com.bea.adapter.web.WebForm form,
                                                     java.lang.String strRequestURL,
                                                     java.lang.String[][] aaParams,
                                                     java.lang.String[] aSubmits)
                                              throws java.lang.Exception

### assertFormParameters

    protected void assertFormParameters(com.bea.adapter.web.WebResponse response,
                                        com.bea.adapter.web.WebForm form,
                                        java.lang.String[][] aaParams)
                                 throws java.lang.Exception

### assertFormSubmits

    protected void assertFormSubmits(com.bea.adapter.web.WebResponse response,
                                     com.bea.adapter.web.WebForm form,
                                     java.lang.String[] aSubmits)
                              throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)